## ros-one-emotion-analyzer 2.1.31-19jammy.20251023.0756

=== debian/changelog ===
ros-one-emotion-analyzer (2.1.31-19jammy.20251023.0756) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Kei Okada <k-okada@jsk.imi.i.u-tokyo.ac.jp>  Thu, 23 Oct 2025 07:56:12 +0000

ros-one-emotion-analyzer (2.1.31-0jammy) jammy; urgency=high

  * add LICENSE files
  * Contributors: Kei Okada

 -- Kei Okada <k-okada@jsk.imi.i.u-tokyo.ac.jp>  Tue, 13 May 2025 00:00:00 -0000

ros-one-emotion-analyzer (2.1.30-0jammy) jammy; urgency=high

  * Add Emotion Analyzer (#527 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/527>)
  * Contributors: Ayaha Nagata, Yoshiki Obinata

 -- Kei Okada <k-okada@jsk.imi.i.u-tokyo.ac.jp>  Sat, 10 May 2025 00:00:00 -0000

## ros-one-emotion-analyzer 2.1.31-19jammy.20260116.2049

=== debian/changelog ===
ros-one-emotion-analyzer (2.1.31-19jammy.20260116.2049) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Kei Okada <k-okada@jsk.imi.i.u-tokyo.ac.jp>  Fri, 16 Jan 2026 20:49:53 +0000

## ros-one-emotion-analyzer 2.1.31-19jammy.20260207.2124

=== debian/changelog ===
ros-one-emotion-analyzer (2.1.31-19jammy.20260207.2124) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Kei Okada <k-okada@jsk.imi.i.u-tokyo.ac.jp>  Sat, 07 Feb 2026 21:24:58 +0000

## ros-one-emotion-analyzer 2.1.31-19noble.20251023.0758

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(emotion_analyzer)

find_package(catkin REQUIRED COMPONENTS
  catkin_virtualenv
  std_msgs
  message_generation
  )

catkin_python_setup()

add_service_files(
  FILES
  AnalyzeText.srv
  AnalyzeAudio.srv
  )

generate_messages(
  DEPENDENCIES
  std_msgs
  )

catkin_package(
  CATKIN_DEPENDS rospy std_msgs message_runtime
)

find_package(Python3 3.8 QUIET COMPONENTS Interpreter)
if(NOT Python3_FOUND)
  message(WARNING "emotion_analyzer (Hume AI) requires python3.8 or newer")
  return()
endif()
message(STATUS "Found Python: ${Python3_EXECUTABLE}")
message(STATUS "Python Version: ${Python3_VERSION}")

catkin_generate_virtualenv(
  INPUT_REQUIREMENTS requirements.in
  PYTHON_INTERPRETER python3
  CHECK_VENV FALSE
)

file(GLOB PYTHON_SCRIPTS scripts/*.py)
catkin_install_python(PROGRAMS ${PYTHON_SCRIPTS}
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-one-emotion-analyzer (2.1.31-19noble.20251023.0758) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Kei Okada <k-okada@jsk.imi.i.u-tokyo.ac.jp>  Thu, 23 Oct 2025 07:58:59 +0000

ros-one-emotion-analyzer (2.1.31-0noble) noble; urgency=high

  * add LICENSE files
  * Contributors: Kei Okada

 -- Kei Okada <k-okada@jsk.imi.i.u-tokyo.ac.jp>  Tue, 13 May 2025 00:00:00 -0000

ros-one-emotion-analyzer (2.1.30-0noble) noble; urgency=high

  * Add Emotion Analyzer (#527 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/527>)
  * Contributors: Ayaha Nagata, Yoshiki Obinata

 -- Kei Okada <k-okada@jsk.imi.i.u-tokyo.ac.jp>  Sat, 10 May 2025 00:00:00 -0000

=== debian/control ===
Source: ros-one-emotion-analyzer
Section: misc
Priority: optional
Maintainer: Kei Okada <k-okada@jsk.imi.i.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), ros-one-catkin, ros-one-catkin-virtualenv, ros-one-message-generation, ros-one-std-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-one-emotion-analyzer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python3-pydub, python3-soundfile, ros-one-audio-capture, ros-one-message-runtime, ros-one-rospy, ros-one-std-msgs
Description: The emotion_analyzer package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-emotion-analyzer//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-emotion-analyzer 2.1.31-19noble.20260116.2049

=== debian/changelog ===
ros-one-emotion-analyzer (2.1.31-19noble.20260116.2049) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Kei Okada <k-okada@jsk.imi.i.u-tokyo.ac.jp>  Fri, 16 Jan 2026 20:49:35 +0000

## ros-one-emotion-analyzer 2.1.31-19noble.20260207.2127

=== debian/changelog ===
ros-one-emotion-analyzer (2.1.31-19noble.20260207.2127) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Kei Okada <k-okada@jsk.imi.i.u-tokyo.ac.jp>  Sat, 07 Feb 2026 21:27:41 +0000
